REM @echo off
REM ******************************************************
REM Premigration for NCHS 3.1.2
REM to be run on the command line BEFORE installation of
REM Websphere Commerce Suite Service Provider Edition.
REM ******************************************************

if "%1" == "" goto __SYNTAX__
if "%2" == "" goto __SYNTAX__
if "%3" == "" goto __SYNTAX__
if "%4" == "" goto __SYNTAX__
if "%5" == "" goto __SYNTAX__

set ADMINLOGON=%1
set ADMINPASSWORD=%2
set NCPATH=%3
set NC_INI=%4
set DB_Path=%5
REM set CLASSPATH=D:\IBM\sqllib\java\db2java.zip;.\Tools\premigration_312.jar;.\Tools\nctools.jar;.\Tools\nchs.jar;.\Tools\xml4j.jar;%CLASSPATH%;
REM set Path=.\Tools;%Path%;
mkdir %NCPATH%\ppm32
cd ..\
xcopy .\* %NCPATH%\ppm32 /E

set Path=%NCPATH%\ppm32\ppm32_312\Tools;%Path%;
set CLASSPATH=%DB_Path%\java\db2java.zip;%NCPATH%\ppm32\ppm32_312\Tools\premigration_312.jar;%NCPATH%\ppm32\ppm32_312\Tools\nctools.jar;%NCPATH%\ppm32\ppm32_312\Tools\nchs.jar;%NCPATH%\ppm32\ppm32_312\Tools\xml4j.jar;%CLASSPATH%;

echo publishing all sites ...
echo ...

call java com.ibm.commerce.tools.nchs.migration.Premigration_312 %ADMINLOGON% %ADMINPASSWORD% %NCPATH% %NC_INI% ppm32

echo Done pre migration for NCHS 3.1.2 ...
goto __End

:__SYNTAX__
echo.
echo Usage: ppm32_312_NT NC_User_Name NC_Password NC_Base_Dir NC_INI_FILE
echo     where  NC_User_Name is the user name of the NC Administrator
echo            NC_Password is the password of the NC Administrator
echo            NC_Base_Dir is the root directory for NCHS
echo                   (eg. C:\ibm\netcommerce3)
echo            NC_INI_FILE is the full location of the ncommerce.ini file
echo                   (eg. C:\ibm\www\html\ncommerce.ini)
echo            DB_PATH is the root directory of the DB2 installation
echo                   (eg. C:\ibm\sqllib)
echo.


:__End
