#!/bin/ksh

# ******************************************************
# Premigration for the NCHS Plugin enhancement
# to be run on the command line BEFORE installation of
# Websphere Commerce Suite Service Provider Edition.
# ******************************************************

# ***************************************************************
# ***************************************************************
# Check syntax
# ***************************************************************
# ***************************************************************
if [ $# -lt 3 ]; then
 echo "Usage: ppm32_Plugin_AIX NC_User_Name NC_Password DB_User_Name"
 echo "    where  NC_User_Name is the user name of the NC Administrator "
 echo "           NC_Password is the password of the NC Administrator "
 echo "           DB_User_Name is the user name of the database administrator "
 exit 1
fi

chmod -R o+w /usr/lpp/NetCommerce3/Tools/logs

su - $3 -c " /usr/lpp/NetCommerce3/ppm32/ppm32_plugin/dbuser_ppm_plugin_AIX.sh $1 $2 ppm32"

chmod -R o-w /usr/lpp/NetCommerce3/Tools/logs

exit 0
