#!/bin/ksh

# ******************************************************
# PostMigration for the NCHS 3.1.2
# to be run on the command line AFTER installation of
# Websphere Commerce Suite Service Provider Edition.
# ******************************************************

# ***************************************************************
# ***************************************************************
# Check syntax
# ***************************************************************
# ***************************************************************
if [ $# -lt 2 ]; then
echo "Usage: postmigration NC_User_Name NC_Password DB_User_Name"
echo "    where  NC_User_Name is the user name of the NC Administrator "
echo "           NC_Password is the password of the NC Administrator "
echo " 			  DB_User_Name is the user name of the database administrator "
exit 1
fi

chmod a+w /opt/IBMnetc/NetCommerce3/Tools/xml/nchs/payment/creditCards.xml
chmod o+w /opt/IBMnetc/NetCommerce3/CHS/source
chmod -R guo+rw /opt/IBMnetc/NetCommerce3/CHS/source
chmod -R o+w /opt/IBMnetc/NetCommerce3/Tools/logs
chmod -R go+w /opt/IBMnetc/NetCommerce3/Tools/public/gallery/merchants

echo /opt/IBMnetc/NetCommerce3/bin/netcpswd   /export/home/$DB2INSTANCE/sqllib/function/netcpswd
cp /opt/IBMnetc/NetCommerce3/bin/netcpswd   /export/home/$DB2INSTANCE/sqllib/function/netcpswd

su - $3 -c " /opt/IBMnetc/NetCommerce3/ppm32/Postmigration/dbuser_postmigration_SUN.sh $1 $2"

chmod a-w /opt/IBMnetc/NetCommerce3/Tools/xml/nchs/payment/creditCards.xml
chmod -R o-w /opt/IBMnetc/NetCommerce3/Tools/logs
chown -R nobody:nobody /opt/IBMnetc/NetCommerce3/Tools/logs
chmod o-w /opt/IBMnetc/NetCommerce3/Tools/public/gallery/merchants

cp -p /opt/IBMnetc/NetCommerce3/Tools/xml/nchs/mtool/advanced/storeModelsMigration.xml /opt/IBMnetc/NetCommerce3/Tools/xml/nchs/mtool/advanced/storeModels.xml 

exit 0
