#!/bin/ksh

# ******************************************************
# Premigration for the NCHS 3.1.2
# to be run on the command line BEFORE installation of
# Websphere Commerce Suite Service Provider Edition.
# ******************************************************

# ***************************************************************
# ***************************************************************
# Check syntax
# ***************************************************************
# ***************************************************************
if [ $# -lt 3 ]; then
echo "Usage: Premigration_312_SUN NC_User_Name NC_Password DB_User_Name"
echo "    where  NC_User_Name is the user name of the NC Administrator "
echo "           NC_Password is the password of the NC Administrator "
echo " 			  DB_User_Name is the user name of the database administrator "
exit 1
fi

su - $3 -c " /opt/IBMnetc/NetCommerce3/ppm32/ppm32_312/dbuser_ppm_312_SUN.sh $1 $2"

exit 0
