@echo off
REM ******************************************************
REM Premigration for the NCHS Plugin enhancement
REM to be run on the command line BEFORE installation of
REM Websphere Commerce Suite Service Provider Edition.
REM ******************************************************

if "%1" == "" goto __SYNTAX__
if "%2" == "" goto __SYNTAX__
if "%3" == "" goto __SYNTAX__
if "%4" == "" goto __SYNTAX__

set ADMINLOGON=%1
set ADMINPASSWORD=%2
set NCPATH=%3
set DB_PATH=%4

mkdir %NCPATH%\ppm32
cd ..\
xcopy .\* %NCPATH%\ppm32 /E

set CLASSPATH=%NCPATH%\ppm32\ppm32_plugin\premigration_plugin.jar;%CLASSPATH%;
set CLASSPATH=%DB_PATH%\java\db2java.zip;%NCPATH%\Tools\lib\nctools.jar;%NCPATH%\Tools\lib\nchs.jar;%NCPATH%\Tools\lib\xml4j.jar;%CLASSPATH%;

echo publishing all sites ...
echo ...

call java com.ibm.commerce.tools.nchs.migration.Premigration_Plugin %ADMINLOGON% %ADMINPASSWORD% %NCPATH% ppm32

echo Done pre migration for plugin expansion pack ...
goto __End

:__SYNTAX__
echo.
echo Usage: ppm32_Plugin_NT NC_User_Name NC_Password NC_Base_Dir
echo     where  NC_User_Name is the user name of the NC Administrator
echo            NC_Password is the password of the NC Administrator
echo            NC_Base_Dir is the root directory for NCHS
echo                   (eg. C:\ibm\netcommerce3)
echo            DB_PATH is the root directory of the DB2 installation
echo                   (eg. C:\ibm\sqllib)
echo.


:__End
